public interface IChatGUI {
	/**
	 * when sendInProgress returns TRUE, this method must return the text we
	 * want to send to the other chat members;
	 * @return chat text
	 */ 
	public String getMessage();
	
	/**
	 * when a message is received it is passed to this method for further 
	 * processing 
	 * @param message the message received from other members
	 */
	public void setMessage( String message );
	
}
